function [ Kl,Cl,Ml ] = elmt25( local_data )
% elmt25: 2-D three-node (triangular) element for plane strain poromechanics
% for 2nd order PDE in (x1,x2)
% (Constant strain triangle, etc.)
%
% Element subroutine to construct local stiffness matrix from local data
%
%  local_data.mater = [elt# Modulus Poisson ratio permeability/visc porosity fluid_stiffness ] For material type
%
%  local_data.coords = [ x1 x2 of node 1;
%                        x1 x2 of node 2;
%                        x1 x2 of node 3]
%
%  local_data.dofs   = [ dof1 dof2 dof3] Global dof referenced to local dofs
%
  Kl = zeros(9,9);
  Cl = zeros(9,9);
  Ml = zeros(9,9);
  
  D  = zeros(3,3);
  A  = zeros(3,6);
  Df = zeros(2,2);
  Af = zeros(2,3);
%
%  Constitutive matrix - Hooke's Law and Darcy's Law
%
  Emod    = ;
  nu      = ;
  perm    = ;   % k/mu
  poro    = ;
  fstiff  = ;
%-------------------------------- Evalaute constitutive matrices
  D = Emod/((1+nu)*(1-2*nu)) * []
  Df= perm* [ ]
  m = [1;1;0]
  bint = (1/3)*[1 1 1]
%-------------------------------- Evaluate coefs and determinant for element area
    b = ;
    b21 = ;
    b22 = ; 
    b23 = ;
    b31 = ;
    b32 = ;
    b33 = ;
    d2  = ;
    area = d2/2;
%-------------------------------- Evaluate derivatives of shape functions - mechanics
A = (1/d2) * [ ] 
%-------------------------------- Evaluate derivatives of shape functions - flow
Af= (1/d2) * [ ]              
%-------------------------------- Assemble local stiffness matrix [ ux1 ux2 ux3 uy1 uy2 uy3 p1 p2 p3 ]
    thickness = 1
    Kl = [ zeros(6,6)              zeros(6,3);
           zeros(3,6)              Af'*(Df*Af)*area*thickness  ]

%-------------------------------- Reorder stiffness matrix for dof

% [ux1 uy1 ux2 uy2 ux3 uy3 p1 p2 p3] ==> [ux1 uy1 p1 ux2 uy2 p2 ux3 uy3 p3]

% ----- Reorder columns  
           
% ----- Reorder rows
          

%-------------------------------- Assemble local capacitance matrix [ ux1 ux2 ux3 uy1 uy2 uy3 p1 p2 p3 ]
    thickness = 1
    Cl = [  ]
           
%-------------------------------- Reorder capacitance matrix for dof

% [ux1 uy1 ux2 uy2 ux3 uy3 p1 p2 p3] ==> [ux1 uy1 p1 ux2 uy2 p2 ux3 uy3 p3]

% ----- Reorder columns  
 % ----- Reorder rows
 





         
         
